BREGEX(8)

NAME
 bregex - Bacula's 'regex' engine

SYNOPSIS
bregex [options] -f <data-file>

DESCRIPTION
This manual page documents briefly the bregex command.
This program can be useful for testing regex expressions to be applied against a list of filenames.

OPTIONS
A summary of options is included below.

-?  Show version and usage of program.

-d nn
    Set debug level to nn.

-dt Print timestamp in debug output

-f <data-file>
    The data-file is a filename that contains lines of data to be matched (or not) against one or more patterns. When the program is run, it will prompt you for a regular expression pattern, then apply it one line at a time against the data in the file. Each line that matches will be printed preceded by its line number. You will then be prompted again for another pattern.

-n  Print lines that do not match

-l  Suppress lines numbers.

SEE ALSO
regex(7)

AUTHOR
This manual page was written by Bruno Friedmann <bruno@ioda-net.ch>.